using System.IO;
using System.Windows.Forms;
using ComponentFramework;
using MTV3D65;

namespace FullScreenShaders
{
    class FullScreenShaders : Core
    {
        protected override void Initialize()
        {
            Engine.SetSearchDirectory(Path.Combine(Application.StartupPath, "Media"));

            InputEngine.Initialize(true, true);
        }

        protected override void Update()
        {
            if (InputEngine.IsKeyPressed(CONST_TV_KEY.TV_KEY_ESCAPE))
                Exit();
        }
    }
}
